package com.yihu.hos.system.service.intf;

import com.yihu.hos.services.IBaseManager;
import com.yihu.hos.system.model.SystemServiceFlow;
import com.yihu.hos.system.model.SystemServiceFlowClass;
import com.yihu.hos.web.framework.model.Result;

import java.util.List;
import java.util.Map;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2016/8/19.
 */
public interface IFlowManage extends IBaseManager {
    Result getFlowList(Map<String, Object> params) throws Exception;

    SystemServiceFlow getFlowById(Integer id) throws Exception;

    Result addFlow(SystemServiceFlow obj) throws Exception;

    Result updateFlow(SystemServiceFlow obj) throws Exception;

    Result deleteFlow(Integer id) throws Exception;


    /* ==========================flowClass����=================================*/

    Result getFlowClassList(Map<String, Object> params) throws Exception;

    List<SystemServiceFlowClass> getFlowClassByFlowId(Integer id) throws Exception;

    Result addFlowClass(SystemServiceFlowClass obj) throws Exception;

    Result updateFlowClass(SystemServiceFlowClass obj) throws Exception;

    boolean deleteFlowClassByFlowId(Integer flowId) ;

}
